%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name: picviz
Version: 0.5
Release: 1%{?dist}
Summary: Parallel coordinates plotter

License: GPLv3+
Group: Applications/Engineering
URL: http://www.wallinfire.net/picviz
Source0: http://www.wallinfire.net/picviz/attachment/wiki/ReleasesDownload/%{name}-%{version}.tar.gz
Source1: %{name}.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: cmake
BuildRequires: bison
BuildRequires: flex
BuildRequires: python-devel
BuildRequires: pkgconfig
BuildRequires: pcre-devel
BuildRequires: libevent-devel
Requires: pcre
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%package devel
Summary: Picviz development files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%package gui
Summary: Graphical frontend for picviz
Group: Applications/Engineering
BuildRequires: desktop-file-utils
Requires: %{name} = %{version}-%{release}
Requires: PyQt4

%package plugin-plplot
Summary: Plplot plugin for picviz
Group: Applications/Engineering
BuildRequires: plplot-devel
BuildRequires: libtool-ltdl-devel
Requires: %{name} = %{version}-%{release}

%package plugin-pngcairo
Summary: PNG Cairo plugin for picviz
Group: Applications/Engineering
BuildRequires: cairo-devel
Requires: %{name} = %{version}-%{release}
Requires: cairo

%description
Picviz is a parallel coordinates plotter which enables easy scripting
from various input (tcpdump, syslog, iptables logs, apache logs,
etc..) to visualize your data and discover interesting results
quickly.

Its primary goal is to graph data in order to be able to quickly
analyze problems and find correlations among variables. With security
analysis in mind, the program has been designed to be very flexible,
able to graph millions of events.

The language is designed to be close to the graphviz graph description
language.

%description devel
Header files for libpicviz.

%description gui
Graphical frontend for picviz.

%description plugin-plplot
Plugin for generating output using the plplot library.

%description plugin-pngcairo
Plugin for generating output using cairo-png.

%prep
%setup -q

%build
mkdir -p build
pushd build
%cmake -DCMAKE_SKIP_RPATH:BOOL=ON ..
make %{?_smp_mflags}
popd

pushd src/libpicviz/bindings/python
python ./setup.py build
popd

pushd src/frontend
python ./setup.py build
popd

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

pushd src/libpicviz/bindings/python
python ./setup.py install --root=%{buildroot} --install-lib=%{python_sitearch}
popd
chmod 755 %{buildroot}/%{python_sitearch}/picviz.so

pushd src/frontend
python ./setup.py install --root=%{buildroot} --install-lib=%{python_sitearch}
popd

install -d -m 755 %{buildroot}/%{_datadir}/%{name}
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/parsers
install -p -m 755 parsers/*.pl %{buildroot}/%{_datadir}/%{name}/parsers
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/parsers/auth
install -p -m 755 parsers/auth/ssh-auth2pcv.pl %{buildroot}/%{_datadir}/%{name}/parsers
install -p -m 755 parsers/auth/ssh-opensession2pcv.pl %{buildroot}/%{_datadir}/%{name}/parsers
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/parsers/ids
install -p -m 755 parsers/ids/* %{buildroot}/%{_datadir}/%{name}/parsers/ids
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/parsers/net
install -p -m 755 parsers/net/* %{buildroot}/%{_datadir}/%{name}/parsers/net
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/parsers/scm
install -p -m 755 parsers/scm/* %{buildroot}/%{_datadir}/%{name}/parsers/scm
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/parsers/web
install -p -m 755 parsers/web/* %{buildroot}/%{_datadir}/%{name}/parsers/web
install -d -m 755 %{buildroot}/%{_datadir}/%{name}/templates
install -p -m 644 templates/*.pgdt %{buildroot}/%{_datadir}/%{name}/templates
desktop-file-install --vendor="fedora" --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README doc/* samples
%{_mandir}/man1/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%exclude %{_libdir}/%{name}/libpicvizoutplplot.so
%exclude %{_libdir}/%{name}/libpicvizoutpngcairo.so
%{python_sitearch}/picviz.so
%{python_sitearch}/Picviz*.egg-info
%{_bindir}/pcv

%files devel
%defattr(-,root,root,-)
%{_libdir}/libpicviz.so
%{_libdir}/pkgconfig/picviz.pc
%{_includedir}/*

%files gui
%defattr(-,root,root,-)
%dir %{python_sitearch}/PicvizGui
%{python_sitearch}/PicvizGui/*
%{python_sitearch}/picviz_gui*.egg-info
%{_bindir}/picviz-gui
%{_datadir}/applications/fedora-%{name}.desktop

%files plugin-plplot
%defattr(-,root,root,-)
%{_libdir}/%{name}/libpicvizoutplplot.so

%files plugin-pngcairo
%defattr(-,root,root,-)
%{_libdir}/%{name}/libpicvizoutpngcairo.so

%changelog
* Wed Mar 18 2009 Tomas Heinrich <theinric@redhat.com> 0.5-1
- upgrade

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4-2
- Rebuild for Python 2.6

* Mon Oct 27 2008 Tomas Heinrich <theinric@redhat.com> 0.4-1
- update to new upstream version

* Mon Sep 22 2008 Tomas Heinrich <theinric@redhat.com> 0.2.3-2
- fix plugin path (#462700)

* Thu Aug  7 2008 Tomas Heinrich <theinric@redhat.com> 0.2.3-1
- Initial build
